; --------------------------------------------------------------
; --------------------------------------------------------------
; Standard Intuition Macros for systems using Commodore Includes.
; Requires Graphics library/Intuition library.
; 
; Matthew Goode - 28/1/97
; --------------------------------------------------------------
; --------------------------------------------------------------

GetFontHeight	Macro
	;Finds the height of the font currently used in the RastPort as
	;pointed to by \1 (an aX)
	;Result is in \2,
	move.w rp_TxHeight(\1),\2
	EndM

;  -------------------------------------------------------------------

GetWindowDimensionsSansBorder	Macro
	;Finds the size of the window (adjusted for border size) as
	;specified by the handle in \1 (as an aX)
	;Results are starting x,y positions in \3,\4 
	;and ending x,y positions of the window in x2,y2 in \5,\6

	Moveq #0,\2
	moveq #0,\4
	move.b wd_BorderRight(\1),\2
	move.w wd_Width(\1),\4
	sub.w \2,\4

	Moveq #0,\3
	moveq #0,\5
	move.b wd_BorderBottom(\1),\3
	move.w wd_Height(\1),\5
	sub.w \3,\5

	move.b wd_BorderLeft(\1),\2
	move.b wd_BorderTop(\1),\3
	EndM

; --------------------------------------------------------------

